local t = Def.ActorFrame {
	-- Base with glowy edges! ...haven't I used this before?
	Def.ActorFrame {
		OnCommand=function(self)
			self:Center():rotationz(-2)
			--SM(TimingOrder(THEME_Timings))
			--SM(LoadModule("Options.SmartTapNoteScore.lua")())
		end,
		Def.Quad {
			OnCommand=function(self)
				self:zoomto(_screen.w*1.3,200):diffuse(color("#222222")):blend(Blend.Modulate)
			end
		},
		LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
			OnCommand=function(self)
				self:y(-100+10):vertalign(bottom):zoomto(_screen.w*1.3,20):blend(Blend.Add)
			end
		},
		LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
			OnCommand=function(self)
				self:y(100-10):vertalign(top):zoomto(_screen.w*1.3,20):blend(Blend.Add)
			end
		},
	},
	LoadActor(THEME:GetPathG("", "_logo")) .. {
		OnCommand=function(self)
			self:Center():addy(-10):zoom(0.75)
		end
	},
	
	-- Def.Quad{
		-- InitCommand=function(self)
			-- self:Center():rotationz(-2):zoomto(_screen.w*1.3,200):diffuse(Color.Black):diffusealpha(0.5)
		-- end,
		-- UpdateScreenHeaderMessageCommand=function(self,param)
			-- SM(param)
		-- end
	-- },
	
	LoadActor(THEME:GetPathG("_common", "bigneon")) .. {
		OnCommand=function(self)
			self:xy(_screen.cx,10):zoomto(_screen.w*1.3,40):blend(Blend.Add)
		end
	},
	LoadActor(THEME:GetPathG("_common", "bigneon")) .. {
		OnCommand=function(self)
			self:xy(_screen.cx,_screen.h-10):zoomto(_screen.w*1.3,40):blend(Blend.Add)
		end
	},
}

--ScreenChangedMessageCommand
t[#t+1] = Def.BitmapText {
	Font = "Common Normal",
	--Text = ProductFamily() .. " " .. ProductVersion(),
	--%d song groups w/ %d songs - %d course groups w/ %d courses\nLife dif. %s - Judg. dif. %s - %s mode
	InitCommand=cmd(horizalign,right;vertalign,top;x,_screen.w - 10;y,30;zoom,0.4;maxwidth,(_screen.w - 20) / 0.5;wrapwidthpixels,(_screen.w - 20) / 0.5;strokecolor,LocalBlueColor(0)),
	OnCommand=cmd(settextf,THEME:GetString("ScreenTitleMenu","SetupInfo"),ProductFamily() .. " " .. ProductVersion(),SONGMAN:GetNumSongs(),SONGMAN:GetNumSongGroups(),SONGMAN:GetNumCourses(),SONGMAN:GetNumCourseGroups(),GetLifeDifficulty(),GetTimingDifficulty(),string.upper(GAMESTATE:GetCurrentGame():GetName()))
}

return t
